"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaywrightVisualRegressionTracker = void 0;
const sdk_js_1 = require("@visual-regression-tracker/sdk-js");
class PlaywrightVisualRegressionTracker {
    constructor(config, browser) {
        this.vrt = new sdk_js_1.VisualRegressionTracker(config);
        this.browser = browser;
    }
    track(page, name, options) {
        var _a, _b;
        return __awaiter(this, void 0, void 0, function* () {
            const viewportSize = page.viewportSize();
            return this.vrt.track({
                name,
                imageBase64: (yield page.screenshot(options === null || options === void 0 ? void 0 : options.screenshotOptions)).toString("base64"),
                browser: this.browser.name(),
                viewport: viewportSize
                    ? `${viewportSize.width}x${viewportSize.height}`
                    : undefined,
                os: (_a = options === null || options === void 0 ? void 0 : options.agent) === null || _a === void 0 ? void 0 : _a.os,
                device: (_b = options === null || options === void 0 ? void 0 : options.agent) === null || _b === void 0 ? void 0 : _b.device,
                diffTollerancePercent: options === null || options === void 0 ? void 0 : options.diffTollerancePercent,
            });
        });
    }
}
exports.PlaywrightVisualRegressionTracker = PlaywrightVisualRegressionTracker;
